Subject: Fw: constrict
From: "Cameron Kim" <[email-masked]>
To: [email-masked]
Date: Sun, 08 Aug 2004 15:13:52 -0500

Had this link sent to my cell phone of all places.  http://www.suncoastrewards.com/ref44.html
You're able to download dvd movies, console games, music.  I managed to download 3 CD's so far.
You should see how many they have in there - its crazy.
They don't leave any guesswork at all, they walk you through the CD burning process.
I can tell you one thing, after I went through the movie section, I can't stop looking through it, theres movies in here still in theaters.
Call me later if you get the chance.

Jan